<div class="main-content">

  <div class="mb-16">
    <h3 fxFlex=""> Добавление новости </h3>
  </div>
  <a class="breadcrumbs__item"
     [routerLink]="['../']">
    <span>К списку новостей</span>
  </a>
  <mat-card class="art-card">
    <form [formGroup]="createNewsForm" >

      <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px">
        <mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
          <mat-label>Заголовок</mat-label>
          <input matInput formControlName="title" required>
        </mat-form-field>
      </div>

      <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px">

        <mat-form-field>
          <mat-label>Выберите дату</mat-label>
          <input matInput [matDatepicker]="publishDate"
                 formControlName="date_news"
                 required >
          <mat-datepicker-toggle matSuffix [for]="publishDate"></mat-datepicker-toggle>
          <mat-datepicker #publishDate></mat-datepicker>
        </mat-form-field>
      </div>
      <div class="mb-10">
        <mat-checkbox formControlName="published">Опубликовать</mat-checkbox>
      </div>

      <quill-editor formControlName="content" [modules]="modules" placeholder="Введите текст..." [styles]="{height: '150px'}"

                    class="m-20"></quill-editor>
      <app-file-upload formControlName="files" class="m-20"></app-file-upload>
    </form>
    <button mat-raised-button color="accent"
            (click)="create()"
            [disabled]="this.createNewsForm.invalid">Создать новость</button>
  </mat-card>

</div>

<app-loader *ngIf="isLoad"></app-loader>
